
Redmine - Defect #30964

500 appears when trying to filter by last updated by

2019-03-05 03:29 - Alexander Kupchenko

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues filter Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

OS

Operating System: Fedora 26 (Twenty Six)

CPE OS Name: cpe:/o:fedoraproject:fedora:26

Kernel: Linux 4.14.11-200.fc26.x86_64

Architecture: x86-64

 Production log

Query::StatementInvalid: Mysql2::Error: This version of MariaDB doesn't yet support 'SUBQUERY in R

OW in left expression of IN/ALL/ANY': SELECT

 COUNT(*) FROM `issues` INNER JOIN `projects` ON `projects`.`id` = `issues`.`project_id` 

INNER JOIN `issue_statuses` ON `issue_statuses`.`id` = `issues`.`status_id` 

WHERE (projects.status <> 9 AND EXISTS (SELECT 1 AS one FROM enabled_modules em 

WHERE em.project_id = projects.id AND em.name='issue_tracking')) AND ((issues.status_id IS NOT NUL

L) AND  

EXISTS (SELECT 1 FROM journals sj WHERE sj.journalized_type='Issue' 

AND sj.journalized_id=issues.id AND (sj.user_id IN ('205')) 

AND sj.id = (SELECT MAX(journals.id) FROM journals   WHERE journals.journalized_type='Issue' AND j

ournals.journalized_id=issues.id   

AND ((journals.private_notes = 0 OR journals.user_id = 7 OR (projects.status <> 9))))))

  Rendered common/error.html.erb within layouts/base (0.2ms)

  Rendered plugins/redmine_tags/app/views/tags/_header_assets.html.erb (0.5ms)

Completed 500 Internal Server Error in 74ms (Views: 26.7ms | ActiveRecord: 17.8ms)

 
Environment:

  Redmine version                3.4.0.stable

  Ruby version                   2.4.2-p198 (2017-09-14) [x86_64-linux]

  Rails version                  4.2.8

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.9.7

  Git                            2.13.6

  Filesystem                     

Redmine plugins:

  redmine_autoclose              0.0.5

  redmine_tags                   3.2.0

 MariaDB Server: 10.2.14-MariaDB

Ruby dependencies versions in attached Gemfile.lock

Related issues:

Is duplicate of Redmine - Defect #30367: "Last updated by" filter causes an S... Closed

History

#1 - 2019-03-05 22:25 - Marius BĂLTEANU

2025-05-17 1/2



- Status changed from New to Closed

- Resolution set to Duplicate

MariaDB is not yet supported by Redmine, please see #19395 and #30367.

#2 - 2019-03-05 22:43 - Marius BĂLTEANU

- Related to Defect #30367: "Last updated by" filter causes an SQL error with MariaDB added

#3 - 2019-03-05 22:43 - Marius BĂLTEANU

- Related to deleted (Defect #30367: "Last updated by" filter causes an SQL error with MariaDB)

#4 - 2019-03-05 22:44 - Marius BĂLTEANU

- Related to Defect #30367: "Last updated by" filter causes an SQL error with MariaDB added

#5 - 2019-03-05 22:44 - Marius BĂLTEANU

- Related to deleted (Defect #30367: "Last updated by" filter causes an SQL error with MariaDB)

#6 - 2019-03-05 22:44 - Marius BĂLTEANU

- Is duplicate of Defect #30367: "Last updated by" filter causes an SQL error with MariaDB added
